3D Model from Sketchfab-"Three Cylinder Naked Street Bike" 
Link-(https://skfb.ly/6TJ8F) by Jamie Hamel-Smith is licensed under Creative Commons Attribution (http://creativecommons.org/licenses/by/4.0/)
Textures altered slightly to fit theme.

Thanks-ActiniumTiger & Ragsy